Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
GET

List projects

Scope: projects:projects.read https://api.alladdin.com/api/v2/projects

Returns a paginated list of projects. Supports filtering by status to retrieve active (in-progress), completed, cancelled, waiting, or budgeted projects.
Use status=active or status=in_progress to list only active projects. Results are paginated with limit and cursor parameters. Default page size is 50, configurable up to 200.

Parameters

Query parameters

cursor string optional

Pagination cursor returned by the previous response. Omit to start from the first page.

limit integer optional = 50

Maximum number of items to return

status string optional

Filter projects by status. Use "active" or "in_progress" to retrieve only active/in-progress projects.

"active" "in_progress" "completed" "cancelled" "waiting" "budgeted"

Request

python
import requests

url = "https://api.alladdin.com/api/v2/projects?cursor=value&limit=50&status=value"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())

Responses

Response

json
{
  "items": [
    {
      "id": "507f1f77bcf86cd799439011",
      "name": "string",
      "description": "string",
      "type": "string",
      "icon": "string",
      "color": "string",
      "key": "string",
      "scope": "string",
      "users": {},
      "contact_id": "string",
      "contact_name": "string",
      "start_date": "string",
      "due_date": "string",
      "tags": [
        "string"
      ],
      "archived": false,
      "status": 0,
      "number_of_tasks": 0,
      "completed_tasks": 0,
      "billable": false
    }
  ],
  "has_more": false,
  "cursor": "string"
}

Success responses

200 List of projects application/json object items[] object[] required id string required

Unique identifier

name string required

Project name

description string required

Project description

type string required

Project type

icon string required

Project icon

color string required

Project color

key string required

Project key

scope string required

Project scope

users object required

Project members keyed by user ID

contact_id string | null required

Contact ID

contact_name string required

Contact name

start_date string | null required

Start date, formatted according to the account's date settings

due_date string | null required

Due date, formatted according to the account's date settings

tags[] string[] required

Tags

archived boolean required

Whether the project is archived

status integer required

Project status

number_of_tasks integer required

Total number of tasks

completed_tasks integer required

Number of completed tasks

billable boolean required

Whether the project is billable

has_more boolean required

Whether there are more items on the next page

cursor string | null optional

Opaque cursor to pass as ?cursor= to fetch the next page. Null on the last page.

Error responses

401 Invalid or missing API key application/json 403 Insufficient permissions application/json 429 Rate limit exceeded application/json

← PreviousGet a project summary →

Next →Delete a project →